using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using Core.Mes.ClientFrameWork;
using Core.Mes.IBaseInterface;
using System.Data;

namespace Core.XgMes.Client.CoilMachiningManage
{
	/// <summary>
	/// Frm_TurnoffMove 的摘要说明。
	/// </summary>
	public class Frm_TurnoffMove : Mes.ClientFrameWork.FrmBase
	{
		private System.Windows.Forms.Panel panel1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsManager ultraToolbarsManager1;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Left;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Right;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Top;
		private Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea _panel1_Toolbars_Dock_Area_Bottom;
		private Infragistics.Win.Misc.UltraGroupBox ultraGroupBox1;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ON_End;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ON_Top;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_GangP;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_GangP;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_ON_Begin;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_ON;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_YButtress;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Buress;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_PlanNO;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_PackNo;
		private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox1;
		private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel1;
		private Infragistics.Win.Misc.UltraExpandableGroupBox ultraExpandableGroupBox2;
		private Infragistics.Win.Misc.UltraExpandableGroupBoxPanel ultraExpandableGroupBoxPanel2;
		private Infragistics.Win.Misc.UltraLabel ultraLabel1;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_GangpeiH;
		private Infragistics.Win.Misc.UltraLabel ultraLabel2;
		private Infragistics.Win.Misc.UltraLabel ultraLabel3;
		private Infragistics.Win.Misc.UltraLabel ultraLabel4;
		private Infragistics.Win.Misc.UltraLabel ultraLabel5;
		private Infragistics.Win.Misc.UltraLabel ultraLabel6;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_Area;
		private Infragistics.Win.UltraWinEditors.UltraCheckEditor chk_AllowFilter;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_AreaB;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Oreder;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_Stream;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_AreaC;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_BuressMove;
		private Infragistics.Win.UltraWinGrid.UltraGrid gb_Turn;
		private Infragistics.Win.Misc.UltraLabel ultraLabel7;
		private Infragistics.Win.UltraWinEditors.UltraTextEditor txt_Ramk;
		private Infragistics.Win.UltraWinGrid.UltraCombo cmb_B;
		private Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter excelExporter;
		private System.ComponentModel.IContainer components;

		public Frm_TurnoffMove()
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            Infragistics.Win.UltraWinToolbars.UltraToolbar ultraToolbar2 = new Infragistics.Win.UltraWinToolbars.UltraToolbar("工具栏");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool9 = new Infragistics.Win.UltraWinToolbars.ButtonTool("TZ");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool10 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool11 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool12 = new Infragistics.Win.UltraWinToolbars.ButtonTool("Close");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool13 = new Infragistics.Win.UltraWinToolbars.ButtonTool("Close");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool14 = new Infragistics.Win.UltraWinToolbars.ButtonTool("QUERY");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool15 = new Infragistics.Win.UltraWinToolbars.ButtonTool("TZ");
            Infragistics.Win.UltraWinToolbars.ButtonTool buttonTool16 = new Infragistics.Win.UltraWinToolbars.ButtonTool("DUCE");
            Infragistics.Win.Appearance appearance101 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance102 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance103 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.UltraGridBand ultraGridBand6 = new Infragistics.Win.UltraWinGrid.UltraGridBand("Band 0", -1);
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn96 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("OLD_SAMPL_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn97 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("SLAB_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn98 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ORD_NO");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn99 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ORD_SEQ");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn100 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ZSLAB_PLY");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn101 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ZSLAB_WIDTH");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn102 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ZSLAB_LENGTH");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn103 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ZSLAB_NUM");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn104 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("ZSLAB_WEIGHT");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn105 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("STL_GRD");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn106 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("TOT_DEC_GRD");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn107 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("BUTTRESS");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn108 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("FLAG");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn109 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("COIL_NO_ID");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn110 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("AREA");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn111 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("REM");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn112 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("REMARK");
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn113 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("STOVENO", 0);
            Infragistics.Win.UltraWinGrid.UltraGridColumn ultraGridColumn114 = new Infragistics.Win.UltraWinGrid.UltraGridColumn("BAHCT_NUMBER", 1);
            Infragistics.Win.Appearance appearance104 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.SummarySettings summarySettings11 = new Infragistics.Win.UltraWinGrid.SummarySettings("", Infragistics.Win.UltraWinGrid.SummaryType.Sum, null, "ZSLAB_WEIGHT", 8, true, "Band 0", 0, Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn, "ZSLAB_WEIGHT", 8, true);
            Infragistics.Win.Appearance appearance105 = new Infragistics.Win.Appearance();
            Infragistics.Win.UltraWinGrid.SummarySettings summarySettings12 = new Infragistics.Win.UltraWinGrid.SummarySettings("", Infragistics.Win.UltraWinGrid.SummaryType.Sum, null, "ZSLAB_NUM", 7, true, "Band 0", 0, Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn, "ZSLAB_NUM", 7, true);
            Infragistics.Win.Appearance appearance106 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance107 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance108 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance109 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance110 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance111 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance112 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance113 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance114 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance115 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance116 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance117 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance118 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance119 = new Infragistics.Win.Appearance();
            Infragistics.Win.Appearance appearance120 = new Infragistics.Win.Appearance();
            this.panel1 = new System.Windows.Forms.Panel();
            this._panel1_Toolbars_Dock_Area_Left = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this.ultraToolbarsManager1 = new Infragistics.Win.UltraWinToolbars.UltraToolbarsManager(this.components);
            this._panel1_Toolbars_Dock_Area_Right = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this._panel1_Toolbars_Dock_Area_Top = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this._panel1_Toolbars_Dock_Area_Bottom = new Infragistics.Win.UltraWinToolbars.UltraToolbarsDockArea();
            this.ultraGroupBox1 = new Infragistics.Win.Misc.UltraGroupBox();
            this.chk_AllowFilter = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.cmb_AreaB = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.chk_Area = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_PlanNO = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_PackNo = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_ON_End = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_ON_Top = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.txt_GangP = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_GangP = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.txt_ON_Begin = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.chk_ON = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.chk_YButtress = new Infragistics.Win.UltraWinEditors.UltraCheckEditor();
            this.cmb_Buress = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraExpandableGroupBox1 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
            this.ultraExpandableGroupBoxPanel1 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
            this.txt_Ramk = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel7 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_BuressMove = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel6 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_AreaC = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel5 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_Stream = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel4 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_Oreder = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel3 = new Infragistics.Win.Misc.UltraLabel();
            this.cmb_B = new Infragistics.Win.UltraWinGrid.UltraCombo();
            this.ultraLabel2 = new Infragistics.Win.Misc.UltraLabel();
            this.txt_GangpeiH = new Infragistics.Win.UltraWinEditors.UltraTextEditor();
            this.ultraLabel1 = new Infragistics.Win.Misc.UltraLabel();
            this.ultraExpandableGroupBox2 = new Infragistics.Win.Misc.UltraExpandableGroupBox();
            this.ultraExpandableGroupBoxPanel2 = new Infragistics.Win.Misc.UltraExpandableGroupBoxPanel();
            this.gb_Turn = new Infragistics.Win.UltraWinGrid.UltraGrid();
            this.excelExporter = new Infragistics.Win.UltraWinGrid.ExcelExport.UltraGridExcelExporter();
            this.panel1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).BeginInit();
            this.ultraGroupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaB)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_End)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_Top)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangP)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_Begin)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).BeginInit();
            this.ultraExpandableGroupBox1.SuspendLayout();
            this.ultraExpandableGroupBoxPanel1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.txt_Ramk)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_BuressMove)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaC)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Stream)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Oreder)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_B)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangpeiH)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).BeginInit();
            this.ultraExpandableGroupBox2.SuspendLayout();
            this.ultraExpandableGroupBoxPanel2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.gb_Turn)).BeginInit();
            this.SuspendLayout();
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Left);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Right);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Top);
            this.panel1.Controls.Add(this._panel1_Toolbars_Dock_Area_Bottom);
            this.panel1.Dock = System.Windows.Forms.DockStyle.Top;
            this.panel1.Location = new System.Drawing.Point(0, 0);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(922, 26);
            this.panel1.TabIndex = 0;
            // 
            // _panel1_Toolbars_Dock_Area_Left
            // 
            this._panel1_Toolbars_Dock_Area_Left.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Left.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Left.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Left;
            this._panel1_Toolbars_Dock_Area_Left.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Left.Location = new System.Drawing.Point(0, 52);
            this._panel1_Toolbars_Dock_Area_Left.Name = "_panel1_Toolbars_Dock_Area_Left";
            this._panel1_Toolbars_Dock_Area_Left.Size = new System.Drawing.Size(0, 0);
            this._panel1_Toolbars_Dock_Area_Left.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // ultraToolbarsManager1
            // 
            this.ultraToolbarsManager1.DesignerFlags = 1;
            this.ultraToolbarsManager1.DockWithinContainer = this.panel1;
            this.ultraToolbarsManager1.ShowFullMenusDelay = 500;
            this.ultraToolbarsManager1.Style = Infragistics.Win.UltraWinToolbars.ToolbarStyle.VisualStudio2005;
            ultraToolbar2.DockedColumn = 0;
            ultraToolbar2.DockedRow = 0;
            ultraToolbar2.Text = "工具栏";
            buttonTool9.InstanceProps.IsFirstInGroup = true;
            buttonTool10.InstanceProps.IsFirstInGroup = true;
            buttonTool11.InstanceProps.IsFirstInGroup = true;
            buttonTool12.InstanceProps.IsFirstInGroup = true;
            ultraToolbar2.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool9,
            buttonTool10,
            buttonTool11,
            buttonTool12});
            this.ultraToolbarsManager1.Toolbars.AddRange(new Infragistics.Win.UltraWinToolbars.UltraToolbar[] {
            ultraToolbar2});
            this.ultraToolbarsManager1.ToolbarSettings.AllowCustomize = Infragistics.Win.DefaultableBoolean.False;
            buttonTool13.SharedProps.Caption = "关闭";
            buttonTool13.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool14.SharedProps.Caption = "查询";
            buttonTool14.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool15.SharedProps.Caption = "调整";
            buttonTool15.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            buttonTool16.SharedProps.Caption = "导出";
            buttonTool16.SharedProps.DisplayStyle = Infragistics.Win.UltraWinToolbars.ToolDisplayStyle.ImageAndText;
            this.ultraToolbarsManager1.Tools.AddRange(new Infragistics.Win.UltraWinToolbars.ToolBase[] {
            buttonTool13,
            buttonTool14,
            buttonTool15,
            buttonTool16});
            this.ultraToolbarsManager1.ToolClick += new Infragistics.Win.UltraWinToolbars.ToolClickEventHandler(this.ultraToolbarsManager1_ToolClick);
            // 
            // _panel1_Toolbars_Dock_Area_Right
            // 
            this._panel1_Toolbars_Dock_Area_Right.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Right.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Right.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Right;
            this._panel1_Toolbars_Dock_Area_Right.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Right.Location = new System.Drawing.Point(922, 52);
            this._panel1_Toolbars_Dock_Area_Right.Name = "_panel1_Toolbars_Dock_Area_Right";
            this._panel1_Toolbars_Dock_Area_Right.Size = new System.Drawing.Size(0, 0);
            this._panel1_Toolbars_Dock_Area_Right.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // _panel1_Toolbars_Dock_Area_Top
            // 
            this._panel1_Toolbars_Dock_Area_Top.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Top.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Top.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Top;
            this._panel1_Toolbars_Dock_Area_Top.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Top.Location = new System.Drawing.Point(0, 0);
            this._panel1_Toolbars_Dock_Area_Top.Name = "_panel1_Toolbars_Dock_Area_Top";
            this._panel1_Toolbars_Dock_Area_Top.Size = new System.Drawing.Size(922, 52);
            this._panel1_Toolbars_Dock_Area_Top.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // _panel1_Toolbars_Dock_Area_Bottom
            // 
            this._panel1_Toolbars_Dock_Area_Bottom.AccessibleRole = System.Windows.Forms.AccessibleRole.Grouping;
            this._panel1_Toolbars_Dock_Area_Bottom.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(229)))), ((int)(((byte)(229)))), ((int)(((byte)(215)))));
            this._panel1_Toolbars_Dock_Area_Bottom.DockedPosition = Infragistics.Win.UltraWinToolbars.DockedPosition.Bottom;
            this._panel1_Toolbars_Dock_Area_Bottom.ForeColor = System.Drawing.SystemColors.ControlText;
            this._panel1_Toolbars_Dock_Area_Bottom.Location = new System.Drawing.Point(0, 26);
            this._panel1_Toolbars_Dock_Area_Bottom.Name = "_panel1_Toolbars_Dock_Area_Bottom";
            this._panel1_Toolbars_Dock_Area_Bottom.Size = new System.Drawing.Size(922, 0);
            this._panel1_Toolbars_Dock_Area_Bottom.ToolbarsManager = this.ultraToolbarsManager1;
            // 
            // ultraGroupBox1
            // 
            this.ultraGroupBox1.Controls.Add(this.chk_AllowFilter);
            this.ultraGroupBox1.Controls.Add(this.cmb_AreaB);
            this.ultraGroupBox1.Controls.Add(this.chk_Area);
            this.ultraGroupBox1.Controls.Add(this.txt_PlanNO);
            this.ultraGroupBox1.Controls.Add(this.chk_PackNo);
            this.ultraGroupBox1.Controls.Add(this.txt_ON_End);
            this.ultraGroupBox1.Controls.Add(this.txt_ON_Top);
            this.ultraGroupBox1.Controls.Add(this.txt_GangP);
            this.ultraGroupBox1.Controls.Add(this.chk_GangP);
            this.ultraGroupBox1.Controls.Add(this.txt_ON_Begin);
            this.ultraGroupBox1.Controls.Add(this.chk_ON);
            this.ultraGroupBox1.Controls.Add(this.chk_YButtress);
            this.ultraGroupBox1.Controls.Add(this.cmb_Buress);
            this.ultraGroupBox1.Dock = System.Windows.Forms.DockStyle.Top;
            this.ultraGroupBox1.Location = new System.Drawing.Point(0, 26);
            this.ultraGroupBox1.Name = "ultraGroupBox1";
            this.ultraGroupBox1.Size = new System.Drawing.Size(922, 58);
            this.ultraGroupBox1.SupportThemes = false;
            this.ultraGroupBox1.TabIndex = 1;
            // 
            // chk_AllowFilter
            // 
            this.chk_AllowFilter.Location = new System.Drawing.Point(390, 30);
            this.chk_AllowFilter.Name = "chk_AllowFilter";
            this.chk_AllowFilter.Size = new System.Drawing.Size(50, 20);
            this.chk_AllowFilter.TabIndex = 739;
            this.chk_AllowFilter.TabStop = false;
            this.chk_AllowFilter.Text = "过滤";
            this.chk_AllowFilter.CheckedChanged += new System.EventHandler(this.chk_AllowFilter_CheckedChanged);
            // 
            // cmb_AreaB
            // 
            this.cmb_AreaB.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_AreaB.DisplayMember = "";
            this.cmb_AreaB.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList;
            this.cmb_AreaB.Enabled = false;
            this.cmb_AreaB.FlatMode = true;
            this.cmb_AreaB.Location = new System.Drawing.Point(276, 30);
            this.cmb_AreaB.Name = "cmb_AreaB";
            this.cmb_AreaB.Size = new System.Drawing.Size(106, 19);
            this.cmb_AreaB.TabIndex = 738;
            this.cmb_AreaB.Tag = "";
            this.cmb_AreaB.ValueMember = "";
            // 
            // chk_Area
            // 
            this.chk_Area.FlatMode = true;
            this.chk_Area.Location = new System.Drawing.Point(228, 32);
            this.chk_Area.Name = "chk_Area";
            this.chk_Area.Size = new System.Drawing.Size(48, 16);
            this.chk_Area.TabIndex = 737;
            this.chk_Area.Text = "区域";
            this.chk_Area.CheckedChanged += new System.EventHandler(this.chk_Area_CheckedChanged);
            // 
            // txt_PlanNO
            // 
            this.txt_PlanNO.AutoSize = true;
            this.txt_PlanNO.Enabled = false;
            this.txt_PlanNO.FlatMode = true;
            this.txt_PlanNO.Location = new System.Drawing.Point(444, 8);
            this.txt_PlanNO.Name = "txt_PlanNO";
            this.txt_PlanNO.Size = new System.Drawing.Size(132, 19);
            this.txt_PlanNO.TabIndex = 736;
            // 
            // chk_PackNo
            // 
            this.chk_PackNo.FlatMode = true;
            this.chk_PackNo.Location = new System.Drawing.Point(388, 10);
            this.chk_PackNo.Name = "chk_PackNo";
            this.chk_PackNo.Size = new System.Drawing.Size(60, 16);
            this.chk_PackNo.TabIndex = 735;
            this.chk_PackNo.Text = "合同号";
            this.chk_PackNo.CheckedChanged += new System.EventHandler(this.chk_PackNo_CheckedChanged);
            // 
            // txt_ON_End
            // 
            this.txt_ON_End.AutoSize = true;
            this.txt_ON_End.Enabled = false;
            this.txt_ON_End.FlatMode = true;
            this.txt_ON_End.Location = new System.Drawing.Point(190, 8);
            this.txt_ON_End.Name = "txt_ON_End";
            this.txt_ON_End.Size = new System.Drawing.Size(32, 19);
            this.txt_ON_End.TabIndex = 734;
            // 
            // txt_ON_Top
            // 
            this.txt_ON_Top.AutoSize = true;
            this.txt_ON_Top.Enabled = false;
            this.txt_ON_Top.FlatMode = true;
            this.txt_ON_Top.Location = new System.Drawing.Point(110, 8);
            this.txt_ON_Top.Name = "txt_ON_Top";
            this.txt_ON_Top.Size = new System.Drawing.Size(80, 19);
            this.txt_ON_Top.TabIndex = 733;
            // 
            // txt_GangP
            // 
            this.txt_GangP.AutoSize = true;
            this.txt_GangP.Enabled = false;
            this.txt_GangP.FlatMode = true;
            this.txt_GangP.Location = new System.Drawing.Point(84, 30);
            this.txt_GangP.Name = "txt_GangP";
            this.txt_GangP.Size = new System.Drawing.Size(137, 19);
            this.txt_GangP.TabIndex = 732;
            // 
            // chk_GangP
            // 
            this.chk_GangP.FlatMode = true;
            this.chk_GangP.Location = new System.Drawing.Point(14, 32);
            this.chk_GangP.Name = "chk_GangP";
            this.chk_GangP.Size = new System.Drawing.Size(68, 16);
            this.chk_GangP.TabIndex = 731;
            this.chk_GangP.Text = "钢卷号";
            this.chk_GangP.CheckedChanged += new System.EventHandler(this.chk_GangP_CheckedChanged);
            // 
            // txt_ON_Begin
            // 
            this.txt_ON_Begin.AutoSize = true;
            this.txt_ON_Begin.Enabled = false;
            this.txt_ON_Begin.FlatMode = true;
            this.txt_ON_Begin.Location = new System.Drawing.Point(86, 8);
            this.txt_ON_Begin.Name = "txt_ON_Begin";
            this.txt_ON_Begin.Size = new System.Drawing.Size(25, 19);
            this.txt_ON_Begin.TabIndex = 730;
            // 
            // chk_ON
            // 
            this.chk_ON.FlatMode = true;
            this.chk_ON.Location = new System.Drawing.Point(14, 10);
            this.chk_ON.Name = "chk_ON";
            this.chk_ON.Size = new System.Drawing.Size(74, 16);
            this.chk_ON.TabIndex = 729;
            this.chk_ON.Text = "卷板包号";
            this.chk_ON.CheckedChanged += new System.EventHandler(this.chk_ON_CheckedChanged);
            // 
            // chk_YButtress
            // 
            this.chk_YButtress.FlatMode = true;
            this.chk_YButtress.Location = new System.Drawing.Point(228, 10);
            this.chk_YButtress.Name = "chk_YButtress";
            this.chk_YButtress.Size = new System.Drawing.Size(48, 16);
            this.chk_YButtress.TabIndex = 726;
            this.chk_YButtress.Text = "垛位";
            this.chk_YButtress.CheckedChanged += new System.EventHandler(this.chk_YButtress_CheckedChanged);
            // 
            // cmb_Buress
            // 
            this.cmb_Buress.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Buress.DisplayMember = "";
            this.cmb_Buress.DropDownStyle = Infragistics.Win.UltraWinGrid.UltraComboStyle.DropDownList;
            this.cmb_Buress.Enabled = false;
            this.cmb_Buress.FlatMode = true;
            this.cmb_Buress.Location = new System.Drawing.Point(276, 8);
            this.cmb_Buress.Name = "cmb_Buress";
            this.cmb_Buress.Size = new System.Drawing.Size(106, 19);
            this.cmb_Buress.TabIndex = 725;
            this.cmb_Buress.Tag = "";
            this.cmb_Buress.ValueMember = "";
            // 
            // ultraExpandableGroupBox1
            // 
            this.ultraExpandableGroupBox1.Controls.Add(this.ultraExpandableGroupBoxPanel1);
            this.ultraExpandableGroupBox1.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.ultraExpandableGroupBox1.ExpandedSize = new System.Drawing.Size(0, 0);
            this.ultraExpandableGroupBox1.Location = new System.Drawing.Point(0, 454);
            this.ultraExpandableGroupBox1.Name = "ultraExpandableGroupBox1";
            this.ultraExpandableGroupBox1.Size = new System.Drawing.Size(922, 76);
            this.ultraExpandableGroupBox1.SupportThemes = false;
            this.ultraExpandableGroupBox1.TabIndex = 3;
            // 
            // ultraExpandableGroupBoxPanel1
            // 
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.txt_Ramk);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel7);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_BuressMove);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel6);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_AreaC);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel5);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_Stream);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel4);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_Oreder);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel3);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.cmb_B);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel2);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.txt_GangpeiH);
            this.ultraExpandableGroupBoxPanel1.Controls.Add(this.ultraLabel1);
            this.ultraExpandableGroupBoxPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBoxPanel1.Location = new System.Drawing.Point(3, 19);
            this.ultraExpandableGroupBoxPanel1.Name = "ultraExpandableGroupBoxPanel1";
            this.ultraExpandableGroupBoxPanel1.Size = new System.Drawing.Size(916, 54);
            this.ultraExpandableGroupBoxPanel1.TabIndex = 0;
            // 
            // txt_Ramk
            // 
            this.txt_Ramk.AutoSize = true;
            this.txt_Ramk.FlatMode = true;
            this.txt_Ramk.Location = new System.Drawing.Point(583, 3);
            this.txt_Ramk.Name = "txt_Ramk";
            this.txt_Ramk.Size = new System.Drawing.Size(254, 19);
            this.txt_Ramk.TabIndex = 17;
            // 
            // ultraLabel7
            // 
            this.ultraLabel7.Location = new System.Drawing.Point(542, 6);
            this.ultraLabel7.Name = "ultraLabel7";
            this.ultraLabel7.Size = new System.Drawing.Size(38, 14);
            this.ultraLabel7.TabIndex = 16;
            this.ultraLabel7.Text = "备注";
            // 
            // cmb_BuressMove
            // 
            this.cmb_BuressMove.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_BuressMove.DisplayMember = "";
            this.cmb_BuressMove.FlatMode = true;
            this.cmb_BuressMove.Location = new System.Drawing.Point(424, 28);
            this.cmb_BuressMove.Name = "cmb_BuressMove";
            this.cmb_BuressMove.Size = new System.Drawing.Size(112, 19);
            this.cmb_BuressMove.TabIndex = 15;
            this.cmb_BuressMove.ValueMember = "";
            // 
            // ultraLabel6
            // 
            this.ultraLabel6.Location = new System.Drawing.Point(380, 30);
            this.ultraLabel6.Name = "ultraLabel6";
            this.ultraLabel6.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel6.TabIndex = 14;
            this.ultraLabel6.Text = "新垛位";
            // 
            // cmb_AreaC
            // 
            this.cmb_AreaC.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_AreaC.DisplayMember = "";
            this.cmb_AreaC.FlatMode = true;
            this.cmb_AreaC.Location = new System.Drawing.Point(424, 4);
            this.cmb_AreaC.Name = "cmb_AreaC";
            this.cmb_AreaC.Size = new System.Drawing.Size(112, 19);
            this.cmb_AreaC.TabIndex = 13;
            this.cmb_AreaC.ValueMember = "";
            // 
            // ultraLabel5
            // 
            this.ultraLabel5.Location = new System.Drawing.Point(380, 6);
            this.ultraLabel5.Name = "ultraLabel5";
            this.ultraLabel5.Size = new System.Drawing.Size(42, 14);
            this.ultraLabel5.TabIndex = 12;
            this.ultraLabel5.Text = "新区域";
            // 
            // cmb_Stream
            // 
            this.cmb_Stream.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Stream.DisplayMember = "";
            this.cmb_Stream.FlatMode = true;
            this.cmb_Stream.Location = new System.Drawing.Point(260, 28);
            this.cmb_Stream.Name = "cmb_Stream";
            this.cmb_Stream.Size = new System.Drawing.Size(112, 19);
            this.cmb_Stream.TabIndex = 11;
            this.cmb_Stream.ValueMember = "";
            // 
            // ultraLabel4
            // 
            this.ultraLabel4.Location = new System.Drawing.Point(220, 32);
            this.ultraLabel4.Name = "ultraLabel4";
            this.ultraLabel4.Size = new System.Drawing.Size(38, 14);
            this.ultraLabel4.TabIndex = 10;
            this.ultraLabel4.Text = "班组";
            // 
            // cmb_Oreder
            // 
            this.cmb_Oreder.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_Oreder.DisplayMember = "";
            this.cmb_Oreder.FlatMode = true;
            this.cmb_Oreder.Location = new System.Drawing.Point(260, 3);
            this.cmb_Oreder.Name = "cmb_Oreder";
            this.cmb_Oreder.Size = new System.Drawing.Size(112, 19);
            this.cmb_Oreder.TabIndex = 9;
            this.cmb_Oreder.ValueMember = "";
            // 
            // ultraLabel3
            // 
            this.ultraLabel3.Location = new System.Drawing.Point(218, 6);
            this.ultraLabel3.Name = "ultraLabel3";
            this.ultraLabel3.Size = new System.Drawing.Size(38, 14);
            this.ultraLabel3.TabIndex = 8;
            this.ultraLabel3.Text = "班次";
            // 
            // cmb_B
            // 
            appearance101.BackColor = System.Drawing.Color.LightCyan;
            this.cmb_B.Appearance = appearance101;
            this.cmb_B.CharacterCasing = System.Windows.Forms.CharacterCasing.Normal;
            this.cmb_B.DisplayMember = "";
            this.cmb_B.Location = new System.Drawing.Point(61, 28);
            this.cmb_B.Name = "cmb_B";
            this.cmb_B.Size = new System.Drawing.Size(148, 21);
            this.cmb_B.TabIndex = 7;
            this.cmb_B.ValueMember = "";
            // 
            // ultraLabel2
            // 
            this.ultraLabel2.Location = new System.Drawing.Point(4, 30);
            this.ultraLabel2.Name = "ultraLabel2";
            this.ultraLabel2.Size = new System.Drawing.Size(54, 14);
            this.ultraLabel2.TabIndex = 6;
            this.ultraLabel2.Text = "原垛位";
            // 
            // txt_GangpeiH
            // 
            appearance102.BackColor = System.Drawing.Color.LightCyan;
            this.txt_GangpeiH.Appearance = appearance102;
            this.txt_GangpeiH.AutoSize = true;
            this.txt_GangpeiH.Location = new System.Drawing.Point(61, 3);
            this.txt_GangpeiH.Name = "txt_GangpeiH";
            this.txt_GangpeiH.ReadOnly = true;
            this.txt_GangpeiH.Size = new System.Drawing.Size(148, 21);
            this.txt_GangpeiH.TabIndex = 5;
            // 
            // ultraLabel1
            // 
            this.ultraLabel1.Location = new System.Drawing.Point(4, 6);
            this.ultraLabel1.Name = "ultraLabel1";
            this.ultraLabel1.Size = new System.Drawing.Size(54, 14);
            this.ultraLabel1.TabIndex = 0;
            this.ultraLabel1.Text = "卷板包号";
            // 
            // ultraExpandableGroupBox2
            // 
            this.ultraExpandableGroupBox2.Controls.Add(this.ultraExpandableGroupBoxPanel2);
            this.ultraExpandableGroupBox2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBox2.ExpandedSize = new System.Drawing.Size(0, 0);
            this.ultraExpandableGroupBox2.Location = new System.Drawing.Point(0, 84);
            this.ultraExpandableGroupBox2.Name = "ultraExpandableGroupBox2";
            this.ultraExpandableGroupBox2.Size = new System.Drawing.Size(922, 370);
            this.ultraExpandableGroupBox2.SupportThemes = false;
            this.ultraExpandableGroupBox2.TabIndex = 4;
            // 
            // ultraExpandableGroupBoxPanel2
            // 
            this.ultraExpandableGroupBoxPanel2.Controls.Add(this.gb_Turn);
            this.ultraExpandableGroupBoxPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
            this.ultraExpandableGroupBoxPanel2.Location = new System.Drawing.Point(3, 19);
            this.ultraExpandableGroupBoxPanel2.Name = "ultraExpandableGroupBoxPanel2";
            this.ultraExpandableGroupBoxPanel2.Size = new System.Drawing.Size(916, 348);
            this.ultraExpandableGroupBoxPanel2.TabIndex = 0;
            // 
            // gb_Turn
            // 
            appearance103.BackColor = System.Drawing.Color.Ivory;
            this.gb_Turn.DisplayLayout.Appearance = appearance103;
            ultraGridColumn96.Header.Caption = "钢卷号";
            ultraGridColumn96.Header.VisiblePosition = 0;
            ultraGridColumn96.RowLayoutColumnInfo.OriginX = 3;
            ultraGridColumn96.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn96.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(95, 0);
            ultraGridColumn96.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn96.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn97.Header.Caption = "板坯号";
            ultraGridColumn97.Header.VisiblePosition = 1;
            ultraGridColumn97.RowLayoutColumnInfo.OriginX = 6;
            ultraGridColumn97.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn97.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(75, 0);
            ultraGridColumn97.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn97.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn98.Header.Caption = "合同号";
            ultraGridColumn98.Header.VisiblePosition = 2;
            ultraGridColumn98.RowLayoutColumnInfo.OriginX = 7;
            ultraGridColumn98.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn98.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(99, 0);
            ultraGridColumn98.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn98.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn99.Header.Caption = "订单号";
            ultraGridColumn99.Header.VisiblePosition = 3;
            ultraGridColumn99.RowLayoutColumnInfo.OriginX = 8;
            ultraGridColumn99.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn99.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(79, 0);
            ultraGridColumn99.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn99.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn100.Header.Caption = "厚度";
            ultraGridColumn100.Header.VisiblePosition = 4;
            ultraGridColumn100.RowLayoutColumnInfo.OriginX = 11;
            ultraGridColumn100.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn100.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(80, 0);
            ultraGridColumn100.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn100.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn101.Header.Caption = "宽度";
            ultraGridColumn101.Header.VisiblePosition = 5;
            ultraGridColumn101.RowLayoutColumnInfo.OriginX = 12;
            ultraGridColumn101.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn101.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(74, 0);
            ultraGridColumn101.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn101.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn102.Header.Caption = "长度";
            ultraGridColumn102.Header.VisiblePosition = 6;
            ultraGridColumn102.RowLayoutColumnInfo.OriginX = 13;
            ultraGridColumn102.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn102.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(70, 0);
            ultraGridColumn102.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn102.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn103.Header.Caption = "数量";
            ultraGridColumn103.Header.VisiblePosition = 7;
            ultraGridColumn103.RowLayoutColumnInfo.OriginX = 14;
            ultraGridColumn103.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn103.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(60, 0);
            ultraGridColumn103.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn103.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn104.Header.Caption = "重量";
            ultraGridColumn104.Header.VisiblePosition = 8;
            ultraGridColumn104.RowLayoutColumnInfo.OriginX = 15;
            ultraGridColumn104.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn104.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(76, 0);
            ultraGridColumn104.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn104.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn105.Header.Caption = "牌号";
            ultraGridColumn105.Header.VisiblePosition = 9;
            ultraGridColumn105.RowLayoutColumnInfo.OriginX = 10;
            ultraGridColumn105.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn105.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(71, 0);
            ultraGridColumn105.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn105.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn106.Header.Caption = "综合判定";
            ultraGridColumn106.Header.VisiblePosition = 10;
            ultraGridColumn106.RowLayoutColumnInfo.OriginX = 16;
            ultraGridColumn106.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn106.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(64, 0);
            ultraGridColumn106.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn106.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn107.Header.Caption = "垛位";
            ultraGridColumn107.Header.VisiblePosition = 11;
            ultraGridColumn107.RowLayoutColumnInfo.OriginX = 4;
            ultraGridColumn107.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn107.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(82, 0);
            ultraGridColumn107.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn107.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn108.Header.Caption = "";
            ultraGridColumn108.Header.VisiblePosition = 12;
            ultraGridColumn108.RowLayoutColumnInfo.OriginX = 0;
            ultraGridColumn108.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn108.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(37, 0);
            ultraGridColumn108.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn108.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn108.Style = Infragistics.Win.UltraWinGrid.ColumnStyle.CheckBox;
            ultraGridColumn109.Header.Caption = "卷板包号";
            ultraGridColumn109.Header.VisiblePosition = 13;
            ultraGridColumn109.RowLayoutColumnInfo.OriginX = 1;
            ultraGridColumn109.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn109.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(83, 0);
            ultraGridColumn109.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn109.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn110.Header.Caption = "区域";
            ultraGridColumn110.Header.VisiblePosition = 14;
            ultraGridColumn110.RowLayoutColumnInfo.OriginX = 5;
            ultraGridColumn110.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn110.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(80, 0);
            ultraGridColumn110.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn110.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn111.Header.Caption = "备注";
            ultraGridColumn111.Header.VisiblePosition = 15;
            ultraGridColumn111.Hidden = true;
            ultraGridColumn111.RowLayoutColumnInfo.OriginX = 17;
            ultraGridColumn111.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn111.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn111.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn112.Header.Caption = "备注";
            ultraGridColumn112.Header.VisiblePosition = 17;
            ultraGridColumn112.RowLayoutColumnInfo.OriginX = 18;
            ultraGridColumn112.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn112.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn112.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn113.Header.Caption = "炉号";
            ultraGridColumn113.Header.VisiblePosition = 16;
            ultraGridColumn113.RowLayoutColumnInfo.OriginX = 9;
            ultraGridColumn113.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn113.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(94, 0);
            ultraGridColumn113.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn113.RowLayoutColumnInfo.SpanY = 1;
            ultraGridColumn114.Header.Caption = "批号";
            ultraGridColumn114.Header.VisiblePosition = 18;
            ultraGridColumn114.RowLayoutColumnInfo.OriginX = 2;
            ultraGridColumn114.RowLayoutColumnInfo.OriginY = 0;
            ultraGridColumn114.RowLayoutColumnInfo.PreferredCellSize = new System.Drawing.Size(85, 0);
            ultraGridColumn114.RowLayoutColumnInfo.SpanX = 1;
            ultraGridColumn114.RowLayoutColumnInfo.SpanY = 1;
            ultraGridBand6.Columns.AddRange(new object[] {
            ultraGridColumn96,
            ultraGridColumn97,
            ultraGridColumn98,
            ultraGridColumn99,
            ultraGridColumn100,
            ultraGridColumn101,
            ultraGridColumn102,
            ultraGridColumn103,
            ultraGridColumn104,
            ultraGridColumn105,
            ultraGridColumn106,
            ultraGridColumn107,
            ultraGridColumn108,
            ultraGridColumn109,
            ultraGridColumn110,
            ultraGridColumn111,
            ultraGridColumn112,
            ultraGridColumn113,
            ultraGridColumn114});
            appearance104.BackColor = System.Drawing.Color.LightSteelBlue;
            ultraGridBand6.Header.Appearance = appearance104;
            ultraGridBand6.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            summarySettings11.DisplayFormat = "{0}吨";
            summarySettings11.GroupBySummaryValueAppearance = appearance105;
            summarySettings12.DisplayFormat = "{0}块";
            summarySettings12.GroupBySummaryValueAppearance = appearance106;
            ultraGridBand6.Summaries.AddRange(new Infragistics.Win.UltraWinGrid.SummarySettings[] {
            summarySettings11,
            summarySettings12});
            ultraGridBand6.UseRowLayout = true;
            this.gb_Turn.DisplayLayout.BandsSerializer.Add(ultraGridBand6);
            this.gb_Turn.DisplayLayout.CaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance107.BackColor = System.Drawing.SystemColors.ActiveBorder;
            appearance107.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance107.BackGradientStyle = Infragistics.Win.GradientStyle.Vertical;
            appearance107.BorderColor = System.Drawing.SystemColors.Window;
            this.gb_Turn.DisplayLayout.GroupByBox.Appearance = appearance107;
            appearance108.ForeColor = System.Drawing.SystemColors.GrayText;
            this.gb_Turn.DisplayLayout.GroupByBox.BandLabelAppearance = appearance108;
            this.gb_Turn.DisplayLayout.GroupByBox.Hidden = true;
            this.gb_Turn.DisplayLayout.GroupByBox.Prompt = "将要分组的列拖至该区域！";
            appearance109.BackColor = System.Drawing.SystemColors.Window;
            appearance109.ForeColor = System.Drawing.SystemColors.ControlText;
            this.gb_Turn.DisplayLayout.Override.ActiveCellAppearance = appearance109;
            appearance110.BackColor = System.Drawing.SystemColors.Highlight;
            appearance110.ForeColor = System.Drawing.SystemColors.HighlightText;
            this.gb_Turn.DisplayLayout.Override.ActiveRowAppearance = appearance110;
            appearance111.BorderColor = System.Drawing.Color.Black;
            appearance111.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.CellAppearance = appearance111;
            this.gb_Turn.DisplayLayout.Override.CellClickAction = Infragistics.Win.UltraWinGrid.CellClickAction.EditAndSelectText;
            this.gb_Turn.DisplayLayout.Override.CellPadding = 0;
            appearance112.BackColor = System.Drawing.SystemColors.Control;
            appearance112.BackColor2 = System.Drawing.SystemColors.ControlDark;
            appearance112.BackGradientAlignment = Infragistics.Win.GradientAlignment.Element;
            appearance112.BackGradientStyle = Infragistics.Win.GradientStyle.Horizontal;
            appearance112.BorderColor = System.Drawing.SystemColors.Window;
            appearance112.TextHAlign = Infragistics.Win.HAlign.Left;
            appearance112.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.GroupByRowAppearance = appearance112;
            this.gb_Turn.DisplayLayout.Override.GroupBySummaryDisplayStyle = Infragistics.Win.UltraWinGrid.GroupBySummaryDisplayStyle.SummaryCells;
            appearance113.BackColor = System.Drawing.Color.Silver;
            this.gb_Turn.DisplayLayout.Override.HeaderAppearance = appearance113;
            this.gb_Turn.DisplayLayout.Override.HeaderClickAction = Infragistics.Win.UltraWinGrid.HeaderClickAction.SortMulti;
            this.gb_Turn.DisplayLayout.Override.HeaderStyle = Infragistics.Win.HeaderStyle.Standard;
            appearance114.BackColor = System.Drawing.SystemColors.Window;
            appearance114.BorderColor = System.Drawing.Color.Black;
            appearance114.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.RowAppearance = appearance114;
            appearance115.BackColor = System.Drawing.SystemColors.Window;
            appearance115.BorderColor = System.Drawing.Color.Black;
            appearance115.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.RowPreviewAppearance = appearance115;
            this.gb_Turn.DisplayLayout.Override.RowSelectorHeaderStyle = Infragistics.Win.UltraWinGrid.RowSelectorHeaderStyle.SeparateElement;
            this.gb_Turn.DisplayLayout.Override.RowSelectorNumberStyle = Infragistics.Win.UltraWinGrid.RowSelectorNumberStyle.RowIndex;
            this.gb_Turn.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;
            appearance116.TextHAlign = Infragistics.Win.HAlign.Left;
            appearance116.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.SelectedRowAppearance = appearance116;
            this.gb_Turn.DisplayLayout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed;
            appearance117.BackColor = System.Drawing.SystemColors.Window;
            this.gb_Turn.DisplayLayout.Override.SummaryFooterAppearance = appearance117;
            appearance118.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
            appearance118.ForeColor = System.Drawing.Color.Red;
            this.gb_Turn.DisplayLayout.Override.SummaryFooterCaptionAppearance = appearance118;
            this.gb_Turn.DisplayLayout.Override.SummaryFooterCaptionVisible = Infragistics.Win.DefaultableBoolean.False;
            appearance119.BackColor = System.Drawing.Color.MistyRose;
            appearance119.ForeColor = System.Drawing.Color.Blue;
            appearance119.TextHAlign = Infragistics.Win.HAlign.Right;
            appearance119.TextVAlign = Infragistics.Win.VAlign.Middle;
            this.gb_Turn.DisplayLayout.Override.SummaryValueAppearance = appearance119;
            appearance120.BackColor = System.Drawing.SystemColors.ControlLight;
            this.gb_Turn.DisplayLayout.Override.TemplateAddRowAppearance = appearance120;
            this.gb_Turn.DisplayLayout.ScrollBounds = Infragistics.Win.UltraWinGrid.ScrollBounds.ScrollToFill;
            this.gb_Turn.DisplayLayout.ScrollStyle = Infragistics.Win.UltraWinGrid.ScrollStyle.Immediate;
            this.gb_Turn.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            this.gb_Turn.Dock = System.Windows.Forms.DockStyle.Fill;
            this.gb_Turn.Location = new System.Drawing.Point(0, 0);
            this.gb_Turn.Name = "gb_Turn";
            this.gb_Turn.Size = new System.Drawing.Size(916, 348);
            this.gb_Turn.TabIndex = 725;
            this.gb_Turn.Text = "ultraGrid1";
            this.gb_Turn.AfterRowActivate += new System.EventHandler(this.gb_Turn_AfterRowActivate);
            // 
            // Frm_TurnoffMove
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
            this.ClientSize = new System.Drawing.Size(922, 530);
            this.Controls.Add(this.ultraExpandableGroupBox2);
            this.Controls.Add(this.ultraExpandableGroupBox1);
            this.Controls.Add(this.ultraGroupBox1);
            this.Controls.Add(this.panel1);
            this.Name = "Frm_TurnoffMove";
            this.Text = "卷板成品移垛管理";
            this.Load += new System.EventHandler(this.Frm_TurnoffMove_Load);
            this.panel1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.ultraToolbarsManager1)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraGroupBox1)).EndInit();
            this.ultraGroupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaB)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_PlanNO)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_End)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_Top)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangP)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_ON_Begin)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Buress)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox1)).EndInit();
            this.ultraExpandableGroupBox1.ResumeLayout(false);
            this.ultraExpandableGroupBoxPanel1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.txt_Ramk)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_BuressMove)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_AreaC)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Stream)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_Oreder)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.cmb_B)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.txt_GangpeiH)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.ultraExpandableGroupBox2)).EndInit();
            this.ultraExpandableGroupBox2.ResumeLayout(false);
            this.ultraExpandableGroupBoxPanel2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.gb_Turn)).EndInit();
            this.ResumeLayout(false);

		}
		#endregion


		private string GetWhere()
		{
			string sqlStr="";
			if(this.chk_ON.Checked)
			{
				sqlStr+="AND A.COIL_NO_ID='"+this.txt_ON_Begin.Text+"-"+this.txt_ON_Top.Text+"-"+this.txt_ON_End.Text+"'";
			}
			if(this.chk_YButtress.Checked)
			{
				sqlStr+="AND B.BUTTRESS='"+this.cmb_Buress.Value+"'";
			}
			if(this.chk_GangP.Checked)
			{
				sqlStr+="AND A.OLD_SAMPL_NO='"+this.txt_GangP.Text+"'";
			}
			if(this.chk_PackNo.Checked)
			{
				sqlStr+="AND A.ORD_NO='"+this.txt_PlanNO.Text+"'";
			}
			if(this.chk_Area.Checked)
			{
				sqlStr+=" AND B.AREA='"+this.cmb_AreaB.Value+"'";
			}
			return sqlStr;
		}
		private void TurnQuery(string _Conntion)
		{
			try
			{
				string strOut="";
				DataSet ds=(DataSet)Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.TurnoffMove","Turn_Query",new object[]{GetWhere()},out strOut);
				this.gb_Turn.DataSource=ds;
				this.gb_Turn.UpdateData();
				Comm.SetGridSumArea(this.gb_Turn);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}
//		private void TurnMoveQuery()
//		{
//			try
//			{
//				string strOut="";
//				DataSet ds=(DataSet)Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.TurnoffMove","MoveBuressQuery",new object[]{this.cmb_BuressMove.Value.ToString()},out strOut);
//				this.gb_MoveBuress.DataSource=ds;
//				this.gb_MoveBuress.UpdateData();
//				Comm.SetGridSumArea(this.gb_MoveBuress);
//			}
//			catch(Exception ex)
//			{
//				System.Diagnostics.Debug.WriteLine(ex.ToString());
//			}
//		}
		private void TZ_Add()
		{
			try
			{
				this.gb_Turn.UpdateData();
				string strOut="";
				ArrayList array=new ArrayList();
				array=Comm.GetFieldValue(this.gb_Turn,"FLAG","COIL_NO_ID");
				if(array.Count==0)
				{
					MessageBox.Show("请选择你要移堆的信息!","提示",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Information);
					return ;
				}
				ArrayList Other=new ArrayList();
				Other.Add(this.cmb_BuressMove.Value.ToString());
				Other.Add(this.cmb_AreaC.Value.ToString());
				Other.Add(this.cmb_Oreder.Value.ToString());
				Other.Add(this.cmb_Stream.Value.ToString());
				Other.Add(Core.Mes.ClientFrameWork.ClientCommon._UserInfo.UserName);
				Other.Add(this.txt_Ramk.Text);
				object obj=Core.Mes.ClientFrameWork.ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.TurnoffMove","TurnMoveBuress",new object[]{array,Other},out strOut);
				if(obj!=null&&obj.ToString()=="1")
				{
					DataSet ds=(DataSet)this.gb_Turn.DataSource;
					System.Data.DataRow[] row=ds.Tables["KCJ3_TURNOFFLIST"].Select("FLAG='TRUE'");
					for(int i=0; i<row.Length;i++)
					{
						ds.Tables["KCJ3_TURNOFFLIST"].Rows.Remove(row[i]);
						ds.Tables["KCJ3_TURNOFFLIST"].AcceptChanges();
					}
                   this.TurnQuery(this.GetWhere());
				}
				else
				{
                      MessageBox.Show(strOut,"警告",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Warning);
				}
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void ultraToolbarsManager1_ToolClick(object sender, Infragistics.Win.UltraWinToolbars.ToolClickEventArgs e)
		{
			switch(e.Tool.Key)
			{
				case "QUERY":
					this.TurnQuery(this.GetWhere());
					break;
                case "Close":
					this.Close();
					break;
				case "TZ":
					this.TZ_Add();
					break;
				case "DUCE":
					this.ExportButtressInfo();
					break;
			}
		}

		private void Frm_TurnoffMove_Load(object sender, System.EventArgs e)
		{
			Comm.SetGridSumArea(this.gb_Turn);
			try
			{
				string sql="";
				DataSet ds;
				string strOut="";
				//堆位
				sql ="SELECT BUTTRESSCODE FROM KCJ_BUTTRESS WHERE BUTTRESSTYPE='1' AND ISVALID='1' ORDER BY BUTTRESSCODE ASC" ;
				ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.Common","GetDataSet",new object []{sql},out strOut);
				ds.Tables[0].TableName="KCJ_BUTTRESS";

				Comm.Init_ComboControl(this.cmb_Buress,"KCJ_BUTTRESS","BUTTRESSCODE","BUTTRESSCODE",ref ds);

				Comm.Init_ComboControl(this.cmb_BuressMove,"KCJ_BUTTRESS","BUTTRESSCODE","BUTTRESSCODE",ref ds);

				sql ="SELECT ID_,NAME_ FROM SCM_BASE_INFO WHERE SORT_CODE = '3002'" ;
				ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.Common","GetDataSet",new object []{sql},out strOut);
				ds.Tables[0].TableName="SCM_BASE_INFO";

				Comm.Init_ComboControl(this.cmb_Oreder,"SCM_BASE_INFO","NAME_","ID_",ref ds);

				//班组
				sql ="SELECT ID_,NAME_ FROM SCM_BASE_INFO WHERE SORT_CODE = '3003'" ;
				ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.Common","GetDataSet",new object []{sql},out strOut);
				ds.Tables[0].TableName="SCM_BASE_INFO";

				Comm.Init_ComboControl(this.cmb_Stream,"SCM_BASE_INFO","NAME_","ID_",ref ds);

				//
				sql = "select areacode from kcj_area  where areatype='1' and isvalid='1'";
				ds = (DataSet)ClientCommon._RemotingHelp.ExecuteMethod("CoilMachiningManage","Core.XgMes.Server.CoilMachiningManage.Common","GetDataSet",new object []{sql},out strOut);
				ds.Tables[0].TableName="KCJ_AREA";

				Comm.Init_ComboControl(this.cmb_AreaB,"KCJ_AREA","AREACODE","AREACODE",ref ds);
				Comm.Init_ComboControl(this.cmb_AreaC,"KCJ_AREA","AREACODE","AREACODE",ref ds);
			}
			catch(Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void chk_ON_CheckedChanged(object sender, System.EventArgs e)
		{
		   this.txt_ON_Begin.Enabled=this.chk_ON.Checked;
			 this.txt_ON_Top.Enabled=this.chk_ON.Checked;
			 this.txt_ON_End.Enabled=this.chk_ON.Checked;
		}

		private void chk_GangP_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_GangP.Enabled=this.chk_GangP.Checked;
		}

		private void chk_YButtress_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_Buress.Enabled=this.chk_YButtress.Checked;
		}

		private void chk_PackNo_CheckedChanged(object sender, System.EventArgs e)
		{
			this.txt_PlanNO.Enabled=this.chk_PackNo.Checked;
		}

		private void chk_AllowFilter_CheckedChanged(object sender, System.EventArgs e)
		{
			try 
			{
				if(this.chk_AllowFilter.Checked)
				{
					this.gb_Turn.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.True;
					this.gb_Turn.DisplayLayout.Override.FilterUIType = Infragistics.Win.UltraWinGrid.FilterUIType.FilterRow;

				}
				else
				{
					this.gb_Turn.DisplayLayout.Override.AllowRowFiltering = Infragistics.Win.DefaultableBoolean.False;
					this.gb_Turn.DisplayLayout.Override.FilterUIType = Infragistics.Win.UltraWinGrid.FilterUIType.Default;
					if(this.gb_Turn.DisplayLayout.Bands[0].ColumnFilters.Count>0)
					{
						for(int i=0;i<this.gb_Turn.DisplayLayout.Bands[0].ColumnFilters.Count;i++)
						{
							this.gb_Turn.DisplayLayout.Bands[0].ColumnFilters[i].FilterConditions.Clear();
						}
					}
				
				}

			}
			catch(System.Exception ex)
			{
				System.Diagnostics.Debug.WriteLine(ex.ToString());
			}
		}

		private void chk_Area_CheckedChanged(object sender, System.EventArgs e)
		{
			this.cmb_AreaB.Enabled=this.chk_Area.Checked;
		}

		private void gb_Turn_AfterRowActivate(object sender, System.EventArgs e)
		{
			this.txt_GangpeiH.Text=this.gb_Turn.ActiveRow.Cells["COIL_NO_ID"].Value.ToString();
			this.cmb_B.Value=this.gb_Turn.ActiveRow.Cells["BUTTRESS"].Value;
		}

		#region "导出报表"
		private void ExportButtressInfo()
		{
			if(this.gb_Turn.Rows.Count > 0)
			{
				Comm.ExPortExcel(this.gb_Turn,this.excelExporter);
			}
			else
			{
				MessageBox.Show("无信息数据，不能导出！","提示",MessageBoxButtons.OK,MessageBoxIcon.Information);
			}

		}
		#endregion 
	}
}
